

$(document).ready(function() { 
		//$("#ad_1").load("ad/1.html");


//	 new Autocomplete("keyword", function() {
//		 return "/plus/search_ajax.asp?keyword="+document.getElementById("keyword").value;
//	});





		var time = 0;   
		function changeCate(){
			time=time==8?0:time;
			$("#category dl").removeClass("on");               
			$("#category dl:eq("+time+")").addClass("on");   
			time++;   
		}
		var interval = window.setInterval(function(){
	        changeCate();     
	    }, 3000);
		$("#category dl").each(function(index){
	        $(this).hover(function(){ 
					clearInterval(interval);
					$("#category dl").removeClass("on");               
					$("#category dl:eq("+index+")").addClass("on");
					time = index;
				},function(){     
				   interval = window.setInterval(function(){     
						changeCate();     
				   }, 3000);
				}   
			);      
	   }); 










//	$("#topad").load("/files/ad/topad.html",function(){ 
		$("#slider").flashSlider();
//	});

	
//	$(".footad").load("/files/ad/footad.html");

	$("#jobad").load("/files/ad/jobad.html",function(){ 

		var _wrap=$('#jobad');//定义滚动区域
		var _interval=4000;//定义滚动间隙时间
		var _moving;//需要清除的动画
		_wrap.hover(function(){
			clearInterval(_moving);//当鼠标在滚动区域中时,停止滚动
			},function(){
				_moving=setInterval(function(){
					var _field=_wrap.find('.roll:first');//此变量不可放置于函数起始处,li:first取值是变化的
					var _h=_field.height();//取得每次滚动高度(多行滚动情况下,此变量不可置于开始处,否则会有间隔时长延时)
					_field.animate({marginTop:-_h+'px'},1000,function(){//通过取负margin值,隐藏第一行
					_field.css('marginTop',0).appendTo(_wrap);//隐藏后,将该行的margin值置零,并插入到最后,实现无缝滚动
				})
			},_interval)//滚动间隔时间取决于_interval
		}).trigger('mouseleave');//函数载入时,模拟执行mouseleave,即自动滚动

	});

	$.ajax({
		type:"post",
		dataType: "html",
		url:"/plus/task.asp",
		data:{page:"index"}
	});

//	$.getJSON("http://weather-china.appspot.com/api?city=tieling&callback=?",
//	function(data) {
//	$("#weather").html("今日天气:<strong>" + data.forecasts[0].text + " " + data.forecasts[0].low + "~" + data.forecasts[0].high + "℃</strong>&nbsp;&nbsp;/&nbsp;&nbsp;明日天气:<strong>" + data.forecasts[1].text + " " + data.forecasts[1].low + "~" + data.forecasts[1].high + "℃</strong>");
//	});

	var total = setInterval("classad_total()",500);


	var unameval = "请输入用户名";
						   
	$("#username").val(unameval).css("color","#aaa");

	$("#username").click(function () {
		if ($(this).val() == unameval) {
			$(this).val("");
			$(this).css("color","#333");
		}
	}).blur(function () {
		if ($(this).val()==""){
			$(this).val(unameval);
			$(this).css("color","#aaa");
		}
	});


	$.ajax({
		type:"post",
		dataType: "html",
		url:"/member/check.asp?area=index",
		success:function(html){
			if (html!="")
			$("#loginform").html(unescape(html))
		}
	});


}); 

function classad_total(){

	$.getJSON('/plus/classad_total.asp?rand='+Math.random(),function(data){
		//alert(data.total1);
		//$("#date").html(data.date);
		$("#total").html(data.total1);
		$("#total_today").html(data.total2);
	});




}

	
